package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxAuthorizerInfo;
import com.iformall.domain.vo.WxWeappInfo;

import java.util.List;

public interface WxAuthorizerInfoService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxAuthorizerInfo> listAsPage(WxAuthorizerInfo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxWeappInfo> listVoAsPage(WxWeappInfo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     * @param record
     * @return
     */
    List<WxWeappInfo> getList(WxWeappInfo record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxAuthorizerInfo getById(Long id);

    /**
     * 根据appId获得实体
     *
     * @param appId
     * @return
     */
    WxAuthorizerInfo getByAppId(String appId);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxAuthorizerInfo record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    int updateReleaseVersion(WxAuthorizerInfo record);

    int updateBaseVersion(WxAuthorizerInfo record);

    int updateDomainUrl(WxAuthorizerInfo record);

    int updateWebDomainUrl(WxAuthorizerInfo record);

    int updateTemplate(WxAuthorizerInfo record);

    int updateOpenAppid(WxAuthorizerInfo record);

    int removeOpenAppid(WxAuthorizerInfo record);

    int updateAuthAppidInfo(WxAuthorizerInfo record);

    int updateAuthBackInfo(WxAuthorizerInfo record);

}
